const char style_header[] = "<!DOCTYPE html>\n"
"<html lang=\"en\">\n"
"<head>\n"
" <meta charset=\"utf-8\" />\n"
" <meta name=\"generator\" content=\"scd2html\" />\n"
" <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, user-scalable=yes\" />\n"
" <title>%s(%s)</title>\n"
" <style>\n"
" html {\n"
"   line-height: 1.5;\n"
"   font-family: Georgia, serif;\n"
"   font-size: 20px;\n"
"   color: #1a1a1a;\n"
"   background-color: #fdfdfd;\n"
" }\n"
" body {\n"
"   margin: 0 auto;\n"
"   max-width: 36em;\n"
"   padding-left: 50px;\n"
"   padding-right: 50px;\n"
"   padding-top: 50px;\n"
"   padding-bottom: 50px;\n"
"   hyphens: auto;\n"
"   overflow-wrap: break-word;\n"
"   text-rendering: optimizeLegibility;\n"
"   font-kerning: normal;\n"
" }\n"
" @media (max-width: 600px) {\n"
"   body {\n"
"     font-size: 0.9em;\n"
"     padding: 1em;\n"
"   }\n"
"   h1 {\n"
"     font-size: 1.8em;\n"
"   }\n"
" }\n"
" @media print {\n"
"   body {\n"
"     background-color: transparent;\n"
"     color: black;\n"
"     font-size: 12pt;\n"
"   }\n"
"   p, h2, h3 {\n"
"     orphans: 3;\n"
"     widows: 3;\n"
"   }\n"
"   h2, h3 {\n"
"     page-break-after: avoid;\n"
"   }\n"
" }\n"
" p {\n"
"   margin: 1em 0;\n"
" }\n"
" a {\n"
"   color: #1a1a80;\n"
" }\n"
" a:visited {\n"
"   color: #1a1a80;\n"
" }\n"
" img {\n"
"   max-width: 100%%;\n"
" }\n"
" h1, h2, h3 {\n"
"   margin-top: 1.4em;\n"
" }\n"
" h2>a:first-child, h3>a:first-child {\n"
"   opacity: 0;\n"
" }\n"
" h2:hover>a:first-child, h3:hover>a:first-child {\n"
"   opacity: 1;\n"
" }\n"
" ol, ul {\n"
"   padding-left: 1.7em;\n"
"   margin-top: 1em;\n"
" }\n"
" li > ol, li > ul {\n"
"   margin-top: 0;\n"
" }\n"
" blockquote {\n"
"   margin: 1em 0 1em 1.7em;\n"
"   padding-left: 1em;\n"
" }\n"
" code {\n"
"   font-family: Menlo, Monaco, 'Lucida Console', Consolas, monospace;\n"
"   font-size: 85%%;\n"
"   margin: 0;\n"
" }\n"
" pre {\n"
"   margin: 1em 0;\n"
"   overflow: auto;\n"
" }\n"
" pre code {\n"
"   padding: 0;\n"
"   overflow: visible;\n"
"   overflow-wrap: normal;\n"
" }\n"
" table {\n"
"   margin: 1em 0;\n"
"   border-collapse: collapse;\n"
"   overflow-x: auto;\n"
"   font-variant-numeric: lining-nums tabular-nums;\n"
" }\n"
" table.box, td.allbox {\n"
"   border: 1px solid #1a1a1a;\n"
" }\n"
" .expand {\n"
"   width: 100%%;\n"
" }\n"
" tbody {\n"
"   margin-top: 0.5em;\n"
" }\n"
" td {\n"
"   padding: 0.125em 0.5em 0.25em 0.5em;\n"
" }\n"
" td.left {\n"
"   text-align: left;\n"
" }\n"
" td.center {\n"
"   text-align: center;\n"
" }\n"
" td.right {\n"
"   text-align: right;\n"
" }\n"
" header {\n"
"   margin-bottom: 4em;\n"
"   text-align: center;\n"
" }\n"
" .header-date {\n"
"   color: #666;\n"
" }\n"
" code{white-space: pre-wrap;}\n"
" </style>\n"
"</head>\n"
"<body>\n"
;

const char style_footer[] = "</body>\n"
"</html>\n"
;
